Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153212 - setuid, setgid not documented well
Summary: setuid, setgid not documented well
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhel-isa
Version: 4.5
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Don Domingo
QA Contact: John Ha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-03 06:44 UTC by Gezim Hoxha
Modified: 2018-08-23 16:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-15 01:27:46 UTC


Attachments (Terms of Use)

Description Gezim Hoxha 2005-04-03 06:44:50 UTC
Description of problem:
In the manual
Red Hat Enterprise Linux 4: Introduction to System Administration
(rhel-isa(EN)-4-HTML-RHI (2004-08-25T17:11) )
Chapter 6. Managing User Accounts and Resource Access
6.3.1. User Accounts, Groups, and Permissions

The definition of setuid and setgid is not clear, in my opinion. Here is what I
would have made them look like.

"setuid-- used only for binary files(applications), this permission indicates
that the file is to executed with the permissions of the owner of the file and
not with the permissions of the user executing the file (which is the case
without setuid). It is indicated by the character s in the place of the x in the
owner category. If the owner of the file does not have execute permissions, the
s is capitalized to reflect this fact.


setgid -- used primarily for binary files(applications), this permission
indicates that the file is executed with the permissions of the group owning the
file and not with the permissions of the group of the user executing the file
(which is the case without setgid).

If applied to a directory, all files created within the directory are owned by
the group owning the directory, and not by the group of the user creating the
file. The setgid permission is indicated by the character s in place of the x in
the group category. If the  group of the file or directory does not have execute
permissions, the s is capitalized to reflect this fact."

Version-Release number of selected component (if applicable):
rhel-isa(EN)-4-HTML-RHI (2004-08-25T17:11)

Comment 1 Mike Behm 2006-02-14 19:06:53 UTC
Made requested changes.

Comment 2 Michael Hideo 2007-06-06 05:03:47 UTC
Adding ecs-dev-list@redhat.com for wider coverage

Comment 3 Michael Hideo 2007-10-23 02:47:58 UTC
Removing automation notification


Note You need to log in before you can comment on or make changes to this bug.